package com.management.platform.mapper;

import com.management.platform.entity.Report;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-12-31
 */
public interface ReportMapper extends BaseMapper<Report> {
    List<Map<String, Object>> getReportByDate(@Param("date")String date, @Param("id")Integer id);
    List<Map<String, Object>> getReportNameByDate(@Param("date")String date);
}
